plmpower(8)

NAME
plmpower - control Insteon/X10 devices via SmartLabs PLM 2412S

SYNOPSIS
plmpower --device serial-port

DESCRIPTION
plmpower is a helper program for powerman which enables communication with Insteon/X10 devices via SmartLabs Power Line Modem, model 2412S. It is run interactively by the powerman daemon. It can also be useful as a standalone tool for debugging X10/Insteon networks based on the above device.

NETWORK SETUP
Note the addresses of your Insteon/X10 devices. Plug the PLM into an AC outlet, preferably on the same electrical phase as the devices under control. Devices are available to bridge phases if this is not possible.

Attach the PLM's serial port to your computer, and ensure that nothing else is using the serial port such as the system console or getty(8). Run plmpower and try the interactive commands below to see if the devices respond reliably.

Once everything is working, configure powermand to run plmpower as a coprocess as described in powerman.conf(5).

OPTIONS

-d, --device serial-port
    Specify the path to the special file connected to the PLM's serial port.

-t, --timeout msec
    Set the Insteon timeout to the specified number of milliseconds (default 1000).

-x, --x10-attempts number
    Set the number of times to run every X10 command (default 3). X10 does not provide an ACK/NAK mechanism like Insteon so we cannot be certain that any particular X10 command completed, therefore X10 commands are issued multiple times to increase confidence.

INTERACTIVE COMMANDS
The following commands are accepted at the plmpower> prompt. Address arguments may be Insteon (e.g. 1A.2B.3C) or X10 (e.g. G12).

help
    Display help on the available commands.

info
    Get info about the PLM.

reset
    Reset the PLM (clears the all-link db).

on addr
    Turn on device.

off addr
    Turn off device.

status addr
    Query status of device (Insteon only).

ping addr
    Time round trip request/response to device (Insteon only).

FILES
/usr/sbin/plmpower
/etc/powerman/powerman.conf

ORIGIN
PowerMan was originally developed by Andrew Uselton on LLNL's Linux clusters. This software is open source and distributed under the terms of the GNU GPL.

SEE ALSO
powerman(1), powermand(8), httppower(8), plmpower(8), vpcd(8), powerman.conf(5), powerman.dev(5).

http://github.com/chaos/powerman